summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-25 18:48:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-12-25 18:48:44 +0000
commit879725ed8e0518700240df7ea0589c4b25f16a40 (patch)
tree324c54b27cef8d4a76a6d5f318cb2f8d7ce6900d /dev-python
parentea2df2049499e494106ad7c99808c1e9a2b9255b (diff)
downloadbaldeagleos-repo-879725ed8e0518700240df7ea0589c4b25f16a40.tar.gz
baldeagleos-repo-879725ed8e0518700240df7ea0589c4b25f16a40.tar.xz
baldeagleos-repo-879725ed8e0518700240df7ea0589c4b25f16a40.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/charset-normalizer/Manifest1
-rw-r--r--dev-python/charset-normalizer/charset-normalizer-3.4.1.ebuild27
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.123.1.ebuild104
-rw-r--r--dev-python/kiwisolver/Manifest1
-rw-r--r--dev-python/kiwisolver/kiwisolver-1.4.8.ebuild41
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/libtmux/Manifest1
-rw-r--r--dev-python/libtmux/libtmux-0.40.1.ebuild56
-rw-r--r--dev-python/nbsphinx/Manifest1
-rw-r--r--dev-python/nbsphinx/nbsphinx-0.9.6.ebuild28
-rw-r--r--dev-python/pystache/Manifest2
-rw-r--r--dev-python/pystache/pystache-0.6.7.ebuild (renamed from dev-python/pystache/pystache-0.6.5.ebuild)11
-rw-r--r--dev-python/pysubs2/Manifest1
-rw-r--r--dev-python/pysubs2/pysubs2-1.8.0.ebuild21
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-2.3.0.ebuild99
20 files changed, 393 insertions, 32 deletions
diff --git a/dev-python/charset-normalizer/Manifest b/dev-python/charset-normalizer/Manifest
index aaf7f8504f10..bc3f3e97bb04 100644
--- a/dev-python/charset-normalizer/Manifest
+++ b/dev-python/charset-normalizer/Manifest
@@ -1 +1,2 @@
DIST charset_normalizer-3.4.0.tar.gz 106620 BLAKE2B 52dc9a2db3d4aaf841cd464dbe95d1089fd8a8d37e3dcc518ade0a3efe7d26fee529f4f82e344971965ada09108e9b3647c9dfa3222f99cc9fc5fd6b9dd34e8e SHA512 7b7098d389bf4b181bd26037fa439abb44811ee68b01b78bfd399b4213cca7309d4878e90a0983d6aa2c550c3b9b355c8b5157fae731981f3e6e4028a911d143
+DIST charset_normalizer-3.4.1.tar.gz 123188 BLAKE2B 04a2a47967d3992eb6320f173689693efb0614d67986fe1417f2f096435d2cdfaf10c57b6ecd2659f19ee907902c16fcd30f050cd14460973a059fc62ea999e3 SHA512 2891c0bd3097ad38d296a8378ded36110a06113c0f79e49cdfd7f3bca4f42487d10895db34cbb020cb70e93d9094ae72555ceef5535f8984de1cac4082232f4f
diff --git a/dev-python/charset-normalizer/charset-normalizer-3.4.1.ebuild b/dev-python/charset-normalizer/charset-normalizer-3.4.1.ebuild
new file mode 100644
index 000000000000..81568aed967f
--- /dev/null
+++ b/dev-python/charset-normalizer/charset-normalizer-3.4.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The Real First Universal Charset Detector"
+HOMEPAGE="
+ https://pypi.org/project/charset-normalizer/
+ https://github.com/jawah/charset_normalizer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 12fd52f73411..823630ece876 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,3 +6,4 @@ DIST hypothesis-6.122.5.gh.tar.gz 9499110 BLAKE2B 57de8290600ceadc408804d4ec5df7
DIST hypothesis-6.122.6.gh.tar.gz 9499547 BLAKE2B 2d111698688050f3ce0d9cfdc1bc5b900b4d347b3733edac483e8e1b0b915b158903d055955893041c80064a0878d6a2a7aaafcf3b9b00c4c232567b9709aeae SHA512 3aa0d6a8ac033b6145b6ba831663074002bd67a793e8fe157e76d2768b2048d9864b82179667f7cb732444f09a5b178490b6eecb34d4c0460a164968b33c9f88
DIST hypothesis-6.122.7.gh.tar.gz 9503262 BLAKE2B d7b98f0df159c8e234d8d46d94f2803f9db21d9b36e029ae1e7ddd8403193a3bf0ddaf46087b7dd0cf003c3cf55cbecbac8431f140462b60d5eebe00d7b65a79 SHA512 c8625ba7252c750ee26f2db28f899e63b1bcfb7e5cecb8eb722fe75bb26cbed69e7e1e3616b27bae5336b68cd823ac658058e9fdb55a9df777c99b9f9c95354d
DIST hypothesis-6.123.0.gh.tar.gz 9504064 BLAKE2B a71a119dfa15318bf8afd0fa586edc2cc67e7987d5544eca7a15495a73a4c3a9c637c3948003ac868aafb9cb6540426fd0628b8fc8f8d21d2e606ff536993924 SHA512 29459331a546ee03e6ee7307049c632523af6dddd475ce6d690a7f6fe11d6506ce4b37de8ea11cd8dc7b35acede901c0138018488973b35f3827e832a6ccc5f9
+DIST hypothesis-6.123.1.gh.tar.gz 9504686 BLAKE2B 755a1eca08744621ab9d836d8ea610bf58ea6e768da3580e6b88514ec46d578dd0bfdfe9cd0d416d889e6c48fdf8d58970a007a40f608f81c5686e477092a7bb SHA512 ed0646f9a0f88da130e44976a3340125253d626fcb0c5aa06ce0631471d320c74818326c3858198c2288e4a05557e491026d0f8bdf905daadf54a7a5d4bfb6ae
diff --git a/dev-python/hypothesis/hypothesis-6.123.1.ebuild b/dev-python/hypothesis/hypothesis-6.123.1.ebuild
new file mode 100644
index 000000000000..7d8a0e518f7a
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.123.1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/kiwisolver/Manifest b/dev-python/kiwisolver/Manifest
index cf714307aafa..14e2f97fa2b3 100644
--- a/dev-python/kiwisolver/Manifest
+++ b/dev-python/kiwisolver/Manifest
@@ -1 +1,2 @@
DIST kiwi-1.4.7.gh.tar.gz 91607 BLAKE2B 560b811ad16e7063581c6a448460035a8b880a9ed11e0be0da8f587dfc88d9f8c8341aca9fa26920be8d7478a0920cd0597f045b5d2efa80982b56800ddbcf35 SHA512 74e9b78980a348314b569cc8f922e7bddbafc3798c23526eb1746d4a5d0ae17681cd291c8ebeedbe9e7af25b4d0b32980e0c63c40a070f617cca9dd5915ea668
+DIST kiwi-1.4.8.gh.tar.gz 91933 BLAKE2B a40c03fb154c34f050ee67a63a2c3e7223553f72882bc0fade722b452c49abdcaee802d3b53e5dca9b502bcbe8933bea65fb9d9f3e59096d028255752dcbd0c8 SHA512 487bfd8c59b85b67724da81e2c758e2800b4bf8e76929fc7ea75fe03a3759cc8a57943c8d8940b8d5e75d6e748e236250129bc929303e999a5431f4212b753f2
diff --git a/dev-python/kiwisolver/kiwisolver-1.4.8.ebuild b/dev-python/kiwisolver/kiwisolver-1.4.8.ebuild
new file mode 100644
index 000000000000..9851d0d6f354
--- /dev/null
+++ b/dev-python/kiwisolver/kiwisolver-1.4.8.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P=kiwi-${PV}
+DESCRIPTION="An efficient C++ implementation of the Cassowary constraint solving algorithm"
+HOMEPAGE="
+ https://github.com/nucleic/kiwi/
+ https://pypi.org/project/kiwisolver/
+"
+SRC_URI="
+ https://github.com/nucleic/kiwi/archive/${PV}.tar.gz -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Clear-BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+COMMON_DEPEND="
+ >=dev-python/cppy-1.3.0[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+BDEPEND="
+ ${COMMON_DEPEND}
+ >=dev-python/setuptools-scm-3.4.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index eb2586280d80..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index c7f58d528764..7d6c8f9b0b01 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -3,3 +3,4 @@ DIST libtmux-0.37.0.gh.tar.gz 283496 BLAKE2B ef8c9c05cc20f549fc13ffb05276e1ba5b2
DIST libtmux-0.38.1.gh.tar.gz 304345 BLAKE2B f4380c813b57045cc8dcf4ad18124bcd2aa304495ea0cfbfcfa2e7f9f8140fa2acb4545b4c9b61a13f08a12e57c0e7f7de20f673f9054429eca22968cf51f651 SHA512 ca88e67222e7abb54afc88c11dcded19ee870d8d4bc3e26de61ca24ccb6294f3f8be0ec652c0d8fd4137d57a56338fedd4930e6bfb1693d45fd41a63f352ee9b
DIST libtmux-0.39.0.gh.tar.gz 314113 BLAKE2B cfba4cf12fd2418bb917ade6f927eb905dcc767bc7554ae08f86958c0f0ca25548f0b9d90375ab80de726436bfa5032a5df2da763cc5114849f38cbbe9331565 SHA512 7e180a63e195698e540a581fa8f7dc292e8e4db830a87bbdc859d910313d1d3351886759d3198f088f047d51e993fe6ce4c8f16304edc68681c2fa6a9348bba6
DIST libtmux-0.40.0.gh.tar.gz 317064 BLAKE2B e3658560a789aa823faf2ff29cca3a0604ebe20b64ce0432359852738ae87280a87e7411ec73283e389a23b31da9da1f435b930bcf0cd250d3b455031669a535 SHA512 15187225ab8a31a04f7d6a3d036c5df133779fc73891782abce694c8a364babc0d19af1290a06dfa6939b61028a2620499551a0b2a9fccf0f7c3067868eb98c1
+DIST libtmux-0.40.1.gh.tar.gz 318542 BLAKE2B 5b9e383a3c07bab3af7c25adcf5db1c6acf1c108a2508aa2de5f6c2db64f1e365829c69299568c39a19a7c18aa773b14033aa0c48087d0d1bcf180377df558f6 SHA512 6e4f0d13b375ca1b2c2f6e7c6aaad6d420927c8d55a2f27e7912738a58a7e9f0db67c84936ccff32c9557ebe1f3ac335e779b293466eaab9333a0e3fb4a4b10e
diff --git a/dev-python/libtmux/libtmux-0.40.1.ebuild b/dev-python/libtmux/libtmux-0.40.1.ebuild
new file mode 100644
index 000000000000..d07e51bfdffb
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.40.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Typed library that provides an ORM wrapper for tmux, a terminal multiplexer"
+HOMEPAGE="
+ https://libtmux.git-pull.com/
+ https://github.com/tmux-python/libtmux/
+ https://pypi.org/project/libtmux/
+"
+SRC_URI="
+ https://github.com/tmux-python/libtmux/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+
+ # increase timeouts for tests
+ sed -e 's/0.01/0.1/' -i tests/test_test.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests/test_window.py::test_fresh_window_data fails if TMUX_PANE is set
+ # https://bugs.gentoo.org/927158
+ local -x TMUX_PANE=
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=libtmux.pytest_plugin
+
+ epytest -o addopts= -p pytest_mock -p rerunfailures --reruns=5 tests
+}
diff --git a/dev-python/nbsphinx/Manifest b/dev-python/nbsphinx/Manifest
index aa0c5fbc0981..0607d6038629 100644
--- a/dev-python/nbsphinx/Manifest
+++ b/dev-python/nbsphinx/Manifest
@@ -1 +1,2 @@
DIST nbsphinx-0.9.5.tar.gz 179599 BLAKE2B ca7ec2a4b9665fe189c5c8020c345abbf60cff72b7434365359bf6ae1f569570bfb0928072a6d01227f685cc837d9fc75b31b1a2361788c6fa45a075c9d1f23c SHA512 2b1a1575af9ad462888992f3bc6792c014536e7abba5c4b20a1e36da385eae87b23a79e74d9e02cb122dfccfb93e15a817b794565371b5d69d857ca19d163a9c
+DIST nbsphinx-0.9.6.tar.gz 180213 BLAKE2B 83aa7490527a9906ce665fcc3ba493648d2d0b6ae93aa5a36d62408e880033b763747a4ebc460db029427accda5d00676c362368390ff168337a3a53fd81da6d SHA512 26a5631b07dfb0d4ab17be5c41e921584d8487b45b45702abe4a6c9d2f10c70dab536ce31822c0c3ae9ab759cdb12c5b5ef62cbdf6243eab4baf81d12569e0ab
diff --git a/dev-python/nbsphinx/nbsphinx-0.9.6.ebuild b/dev-python/nbsphinx/nbsphinx-0.9.6.ebuild
new file mode 100644
index 000000000000..17504322ffeb
--- /dev/null
+++ b/dev-python/nbsphinx/nbsphinx-0.9.6.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Jupyter Notebook Tools for Sphinx"
+HOMEPAGE="
+ https://github.com/spatialaudio/nbsphinx/
+ https://pypi.org/project/nbsphinx/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/docutils-0.18.1[${PYTHON_USEDEP}]
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-5.5[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.8[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pystache/Manifest b/dev-python/pystache/Manifest
index 908683d3b291..a99010343a1f 100644
--- a/dev-python/pystache/Manifest
+++ b/dev-python/pystache/Manifest
@@ -1,2 +1,2 @@
-DIST pystache-0.6.5.gh.tar.gz 272484 BLAKE2B 8b82aa8922480019e4833333f83d767ef19a1505e2fc708fef0d01c08353b5e600a077c1e86e36c412680381ff6fd310f83857038f383b8218b72269b4e5349b SHA512 e3054e0bff5c3bc6679bf22555dd3cfb2f31b241484c7e6201d37b7767a22f2f842912e3f61d8e2e2858615a4f99ef4192d885b60f84dfeffa1408370ccfba75
DIST pystache-0.6.6.gh.tar.gz 272592 BLAKE2B c79efc37991c4fd0ea7995017bb225d6426e1a09c1d0d4d700da91400e340e8548e79b75ffb3d7ae485eb1d305709b2640ad2555f484068496e2f68681ad8ebc SHA512 debbeedc99201825c87274c14dafa757f48833de0a210444e1939e16decb06126f1fa4fd13b384fbaf28cdc9269d26a87c462db792b0b420a84e08c4f4484346
+DIST pystache-0.6.7.gh.tar.gz 272905 BLAKE2B f99a65d4fa0fc54200a1a84735de7140f5c29bad1908b38678f3978c15ecb2a0c08f354b4148d5313ecc757355eaaecdb1a536933175ff24056664ca34b8d216 SHA512 97cbce10a38c83bdb080f44dc09c594a93c9656f779b90945a384d1c7c7252ad9dd5124ae0304b39dc3df026568121b15926e6dd53598e0cd994d15e91829ddd
diff --git a/dev-python/pystache/pystache-0.6.5.ebuild b/dev-python/pystache/pystache-0.6.7.ebuild
index 45309e2aeff2..9d442639b3f4 100644
--- a/dev-python/pystache/pystache-0.6.5.ebuild
+++ b/dev-python/pystache/pystache-0.6.7.ebuild
@@ -38,15 +38,4 @@ BDEPEND="
distutils_enable_tests pytest
-distutils_enable_sphinx \
- docs/source \
- dev-python/sphinx-rtd-theme \
- dev-python/recommonmark \
- dev-python/sphinxcontrib-apidoc
-
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
-
-src_prepare() {
- sed -i '/sphinx_git/d' "${S}"/setup.cfg "${S}"/docs/source/conf.py
- default
-}
diff --git a/dev-python/pysubs2/Manifest b/dev-python/pysubs2/Manifest
index 9ad278dc4d29..be277dc5f52d 100644
--- a/dev-python/pysubs2/Manifest
+++ b/dev-python/pysubs2/Manifest
@@ -1 +1,2 @@
DIST pysubs2-1.7.3.tar.gz 1123849 BLAKE2B fd630ca7e4bf2d84d65a2ed2f143c6c1cc333ae6994f7c89a86db2f92c5736e70e488115ccd17cea84dedaa057b8d808bf2fcfdedbb3de0781341ac632a12235 SHA512 5ba9675121490628b0df86e0fd46f67c783d7494e59d37e52be49593b292104756d03368cea19d238c503ee8c05ccf5c257723dd5f570af0bcae5cd53243f62a
+DIST pysubs2-1.8.0.tar.gz 1130048 BLAKE2B 9e2819611e91662fdb2c5e6fff8d0558d552caed059254ad05f7122d0e7ccb1df7476148d426d1b8dd6a173822ac71003cf89b4a3e094066d049a8615324d2d4 SHA512 4572b83109b8095897296b303e4462116023281d4874d2be5c41a6ef030a0fd33cedadbf0da51b94e0e27f6f19f4d9cb24e127715794e86f8df9d46400fd87c1
diff --git a/dev-python/pysubs2/pysubs2-1.8.0.ebuild b/dev-python/pysubs2/pysubs2-1.8.0.ebuild
new file mode 100644
index 000000000000..36f8c0f6b28b
--- /dev/null
+++ b/dev-python/pysubs2/pysubs2-1.8.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library for editing subtitle files"
+HOMEPAGE="
+ https://github.com/tkarabela/pysubs2
+ https://pypi.org/project/pysubs2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 7ca1265b11b7..230f6353f518 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,2 +1,3 @@
DIST hypercorn-d1719f8c1570cbd8e6a3719ffdb14a4d72880abb.gh.tar.gz 156216 BLAKE2B fcb5f49653401e6e4079e1c770d3cd407602d4d6764437b735bd4ec04191dec59cdc930822fa2aff726ee25cddd0f71fd457dedf31026bff1da121d93af8b768 SHA512 62d6787d88a2e716f0ac04fc49f6cdc586e473a660ee754ff66961922ae78bcc75d1f78b091e78557dd60f006e8e480114738c7b4ff71beac804e4fc9603240b
DIST urllib3-2.2.3.tar.gz 300677 BLAKE2B 7eb17ab324bf210fb52b1012bf9d37c1a7f3b742aafe7e49adf2dde1678089e94683feedaa2301dd510944da0a5afc331ded13d0631af3efe4dbd576d0dee0ec SHA512 f461cc959d675b8b13c2f40f4b021cab01ccb3a5033143f5c3eae3fce7486115994d198c78db9ef353fce47c17b25e0ecb010fbdebc1b8731d4fd708054b39cc
+DIST urllib3-2.3.0.tar.gz 307268 BLAKE2B 516c3b8b538682bf7b37324568757cf033df0d6a785f5fe0cdb3eaa81c68532958dd0801a007508523ca9674ec2b8ea3c9130c44b6742f6e05e9dc929ba41d01 SHA512 cf33a9082c304d8782fa054412686f9fac65fa860404243b72c75374f7459bf6c7668297b37b5fadc978f9a85b3e7653ddc7b2c415903f7eee5a70fe9ae281cb
diff --git a/dev-python/urllib3/urllib3-2.3.0.ebuild b/dev-python/urllib3/urllib3-2.3.0.ebuild
new file mode 100644
index 000000000000..893459b51875
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.3.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+# The package has a test dependency on their own hypercorn fork.
+HYPERCORN_COMMIT=d1719f8c1570cbd8e6a3719ffdb14a4d72880abb
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI+="
+ test? (
+ https://github.com/urllib3/hypercorn/archive/${HYPERCORN_COMMIT}.tar.gz
+ -> hypercorn-${HYPERCORN_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="brotli http2 test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/pysocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/pysocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-0.8.0[${PYTHON_USEDEP}] )
+ http2? (
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ >=dev-python/h2-4[${PYTHON_USEDEP}]
+ )
+ zstd? ( >=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/h2[\${PYTHON_USEDEP}]
+ dev-python/httpx[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ dev-python/quart[\${PYTHON_USEDEP}]
+ dev-python/quart-trio[\${PYTHON_USEDEP}]
+ dev-python/trio[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.18.0[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=${WORKDIR}/hypercorn-${HYPERCORN_COMMIT}/src
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ # TODO
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ # hangs randomly
+ test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ test/with_dummyserver/test_https.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_XDIST=1
+ epytest -p timeout -p rerunfailures --reruns=10 --reruns-delay=2
+}